// index.js
// 获取应用实例
const app = getApp()

Page({
  data: {
    motto: 'Hello World',
    userInfo: {},
    hasUserInfo: false,
    canIUse: wx.canIUse('button.open-type.getUserInfo'),
    images: [
      '../../images/2.png',
      '../../images/3.png',
      '../../images/4.png',
      '../../images/5.png',
      '../../images/6.png',
    ],
    image: '../../images/2.png',
  },
  // 事件处理函数
  bindViewTap() {
    wx.navigateTo({
      url: '../logs/logs'
    })
  },
  //开始点击时间
  touchStart: function(e) {
        let that =this;
        that.setData({
            touchStart:e.timeStamp
        })
    },
  //点击结束时间
  touchEnd: function(e) {
        let that=this;
        that.setData({
            touchEnd:e.timeStamp
        })
    },
    //长按事件
    pressTap:function() {
      let that = this;
      let touchTime = that.data.touchEnd-that.data.touchStart;
      let grade = (touchTime / 1000) % 9
      if(grade < 1){ 
        this.setData({image: this.data.images[0]})
      }
      if(grade >= 1 && grade < 2){ 

        this.setData({image: this.data.images[1]})
      }
      if(grade >= 2 && grade < 5){ 
        this.setData({image: this.data.images[2]})
      }
      if(grade >= 5 && grade < 7){ 
        this.setData({image: this.data.images[3]})
      }
      if(grade >= 7 && grade < 9){ 
        this.setData({image: this.data.images[4]})
      }
    
    },
  onLoad() {
    if (app.globalData.userInfo) {
      this.setData({
        userInfo: app.globalData.userInfo,
        hasUserInfo: true
      })
    } else if (this.data.canIUse) {
      // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
      // 所以此处加入 callback 以防止这种情况
      app.userInfoReadyCallback = res => {
        this.setData({
          userInfo: res.userInfo,
          hasUserInfo: true
        })
      }
    } else {
      // 在没有 open-type=getUserInfo 版本的兼容处理
      wx.getUserInfo({
        success: res => {
          app.globalData.userInfo = res.userInfo
          this.setData({
            userInfo: res.userInfo,
            hasUserInfo: true
          })
        }
      })
    }
  },
  getUserInfo(e) {
    console.log(e)
    app.globalData.userInfo = e.detail.userInfo
    this.setData({
      userInfo: e.detail.userInfo,
      hasUserInfo: true
    })
  }
})
